Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.uka.ipd.consensus.foundation.rating
Class RatingAdapter

    java.lang.Object
      de.uka.ipd.consensus.foundation.rating.RatingAdapter

All Implemented Interfaces:
  EventListener, RatingListener

public class RatingAdapter
extends Object
implements RatingListener

An adapter class for receiving rating events. The methods in this class are empty. This class exists for convenience for creating listener objects if you don't want to implement all of the listener's methods.

Version:
  2006-06-14
Author:
  Thomas Much

Constructor Summary
`RatingAdapter()`

Method Summary
`void` | `conceptRatingChanged(RatingEvent event)` Called by the RatingManager when an existing concept's rating was changed.
`void` | `conceptRatingRemoved(RatingEvent event)` Called by the RatingManager when a concept's rating was removed.
`void` | `conceptRatingSet(RatingEvent event)` Called by the RatingManager when a new rating was added to a concept.
`void` | `userRatingChanged(RatingEvent event)` Called by the RatingManager when an existing user's rating was changed.
`void` | `userRatingRemoved(RatingEvent event)` Called by the RatingManager when a user's rating was removed.
`void` | `userRatingSet(RatingEvent event)` Called by the RatingManager when a new rating was added to an user.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RatingAdapter

    public RatingAdapter()

Method Detail

### conceptRatingSet

    public void conceptRatingSet(RatingEvent event)

  Description copied from interface: `RatingListener`
  Called by the RatingManager when a new rating was added to a concept.

  Specified by:
    `conceptRatingSet` in interface `RatingListener`
  Parameters:
    `event` - the RatingEvent object containing the user, his rating and the rated concept

### userRatingSet

    public void userRatingSet(RatingEvent event)

  Description copied from interface: `RatingListener`
  Called by the RatingManager when a new rating was added to an user.

  Specified by:
    `userRatingSet` in interface `RatingListener`
  Parameters:
    `event` - the RatingEvent object containing the rating user, his rating and the rated user

### conceptRatingChanged

    public void conceptRatingChanged(RatingEvent event)

  Description copied from interface: `RatingListener`
  Called by the RatingManager when an existing concept's rating was changed.

  Specified by:
    `conceptRatingChanged` in interface `RatingListener`
  Parameters:
    `event` - the RatingEvent object containing the user, his rating and the rated concept

### userRatingChanged

    public void userRatingChanged(RatingEvent event)

  Description copied from interface: `RatingListener`
  Called by the RatingManager when an existing user's rating was changed.

  Specified by:
    `userRatingChanged` in interface `RatingListener`
  Parameters:
    `event` - the RatingEvent object containing the rating user, his rating and the rated user

### conceptRatingRemoved

    public void conceptRatingRemoved(RatingEvent event)

  Description copied from interface: `RatingListener`
  Called by the RatingManager when a concept's rating was removed.

  Specified by:
    `conceptRatingRemoved` in interface `RatingListener`
  Parameters:
    `event` - the RatingEvent object containing the user, the removed rating and the rated concept

### userRatingRemoved

    public void userRatingRemoved(RatingEvent event)

  Description copied from interface: `RatingListener`
  Called by the RatingManager when a user's rating was removed.

  Specified by:
    `userRatingRemoved` in interface `RatingListener`
  Parameters:
    `event` - the RatingEvent object containing the user, the removed rating and the rated user

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD